mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Security.Cryptography.ICryptoTransform Common base class for all hash algorithm implementations. Available algorithms include:
To be added
- Constructor
  To be added
  Called from constructor of derived class.
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Boolean Specify if the current transform object can be reused. True if the transform can be reused by calling . False if a new transform must be created for a new operation. You should never assume that a specific algorithm can be reused without checking this property. A cryptographic implementation can be changed by modifying the machine.config file and by using, directly or indirectly, the class. The new implementation could behave differently than the old one. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean Specify if the current transform object can process multiple blocks in a single call. True if a single call to either or can process more than one block at the time. False if the data must be processed block per block. You should never assume that a specific algorithm can transform multiple blocks without checking this property. A cryptographic implementation can be changed by modifying the machine.config file and by using, directly or indirectly, the class. The new implementation could behave differently than the old one. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte[] `` The data buffer to be hashed by the algorithm. Process the hash algorithm on the complete buffer specified. The hash value of the processed buffer. A copy of the return value is kept in the property until the method is called. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte[] `` The data stream to be hashed by the algorithm. Process the hash algorithm on the specified stream. The hash value of the processed stream. A copy of the return value is kept in the property until the method is called. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte[] `` `` `` The data buffer to be hashed by the algorithm. To be added: an object of type 'int' To be added: an object of type 'int' Process the hash algorithm on a subset of the buffer specified. The hash value of the processed buffer. A copy of the return value is kept in the property until the method is called. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Security.Cryptography.HashAlgorithm Return an instance of the default HashAlgorithm defined on the system. An instance of the default HashAlgorithm implementation, . The machine.config file can be used to change the default implementation to any other HashAlgorithm derived class in any assembly. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Security.Cryptography.HashAlgorithm `` Specifies which derived class to create. Return an instance of the specified HashAlgorithm. An instance of the specified HashAlgorithm or null if the name isn't a well known name or defined in machine.config. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added: an object of type 'bool' To be added Any further call to the object will throw a . 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Byte[] Gets the previously computed hash. To be added: an object of type 'byte []' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. When overridden in a derived class, drives the hashing function. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte[] When overridden in a derived class, this pads and hashes whatever data might be left in the buffers and then returns the hash created. To be added: an object of type 'byte []' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Int32 Returns the size in bits of the hash. To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Int32 The size of the hash in bits. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Byte[] Caches the hash after it is calculated. Accessed through the Hash property. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void When overridden in a derived class, initializes the object to prepare for hashing. A newly created instance doesn't have to be initialized. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' Must be overriden if not 1 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' Must be overriden if not 1 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Int32 To be added Non-zero when in use, zero when not in use. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` `` `` `` `` The buffer from which to grab the data to be copied. The offset into the input buffer to start reading at. The number of bytes to be copied. The buffer to write the copied data to. At what point in the outputBuffer to write the data at. To be added To be added: an object of type 'int' Used for stream chaining. Computes hash as data passes through it. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte[] `` `` `` The buffer from which to grab the data to be copied. The offset into the input buffer to start reading at. The number of bytes to be copied. Implements . method. Return a byte array containing the last processed block. Note that the last processed block isn't the hash result of the processed data. The property contains the hash results after this operation. 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)